/*
 *  @(#) Comparer.java 1.0 30-sep-98
 *
 *  Copyright by <ADRESS>Thomas Holland, innot@frankfurt.netsurf.de</ADRESS>
 *  This is part of the <I>presdec</I> application.
 *  For detailed information read the <TT>README</TT> file supplied with this application.
 *
 *  Based on <tt>StringComparer</tt> and the <tt>Sorter</tt> class from the <i>jd</i> application by Derek Lieber. 
 */


package presdec.sort;

/**
 * Compare two Objects 
 *
 * @see Sorter
 *
 */
public interface Comparer
   {
   public boolean isLessThan(Object a, Object b) throws Exception;
   public boolean isGreaterThan(Object a, Object b) throws Exception;
   }
